Bug 14657 - stars plot provides no way to distinguish lines
stars plot provides no way to distinguish lines
Status: RESOLVED FIXED
Product: R
Classification: Unclassified
Component: Graphics
R-devel (trunk)
All All
: P2 enhancement
Assigned To: R-core
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-12 17:48 UTC by Dustin Sallings
Modified: 2011-08-16 14:35 UTC (History)
2 users (show)

See Also:


Attachments
Added ability to color lines in stars. (3.22 KB, application/octet-stream)
2011-08-13 21:05 UTC, Dustin Sallings
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dustin Sallings 2011-08-12 17:48:30 UTC
I was trying to do a spider or radar plot of a few sets of data (including directly from the examples) and found that I could not visually distinguish any of the fields on the chart.  A user on SO provided a simple patch that allowed me to color the lines.


Details and suggestion here:

http://stackoverflow.com/questions/7037157/how-can-i-plot-a-stars-in-color
Comment 1 Simon Urbanek 2011-08-12 22:02:54 UTC
I'll restrain myself and won't go into why I think you're using the wrong plot, but I will do ask you to, please, supply a proper patch against R including the documentation in the report. Please see the FAQ about how to report bugs and enhancements. Thanks.
Comment 2 Martin Maechler 2011-08-13 17:37:12 UTC
(In reply to comment #1)
> I'll restrain myself and won't go into why I think you're using the wrong plot,
> but I will do ask you to, please, supply a proper patch against R including the
> documentation in the report. Please see the FAQ about how to report bugs and
> enhancements. Thanks.

Hmm.. about your restraint :
These kind of plots have lately become very popular, e.g. in Swiss "politics metrics" in order to characterize politicians, political parties, and even (potential) voters.
There, its a good idea to measure more than just one or two coordinates in the space of political views.
The guys who started propagating it, came from politology/geography and called it "smartspider" and now provide a very successful website "smartvote.ch".

What better graphics (for newspaper, web graphic, and the general not-well versed public) would you choose instead?

Martin
Comment 3 Simon Urbanek 2011-08-13 19:29:29 UTC
Martin, I don't think what you have in mind (or I hope at least) is Dustin's plot - what he wants is a essentially a less legible polar PCP. I'll be happy to discuss this but I don' think a bug reporting system is the right venue.
Comment 4 Dustin Sallings 2011-08-13 21:05:49 UTC
Created attachment 1223 [details]
Added ability to color lines in stars.

I couldn't find anything that looked like concise "how to contribute" documentation.  Apologies if this is not acceptable.

While I'm certainly interested in finding better ways to display my data (the consumers of this data specifically requested this), I don't think there's an argument that if this type of plot is supported, having ways to distinguish the individual plotted items is important.

This patch achieves this along with documentation and an example.
Comment 5 Martin Maechler 2011-08-16 14:35:23 UTC
Thank you for the patch. The format was fine.
As the change is really minimal,
(and in spite of or in light of (:-) Brian's remark in the useR! talk today),
I've committed it (+ a NEWS entry) for R-devel.

Martin Maeechler